/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLButtonElement_H___INT_
#define __GdomHTMLButtonElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLButtonElement.h"
G_BEGIN_DECLS
class GDOMHTMLButtonElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_BUTTON_ELEMENT; }
    GDOMHTMLButtonElement(PassRefPtr<WebCore::HTMLButtonElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLButtonElement_H___INT_*/
